ch.qos.logback.classic.util

## Class ContextInitializer

- java.lang.Object
- - ch.qos.logback.classic.util.ContextInitializer

    public class ContextInitializer
    extends java.lang.Object

This class contains logback's logic for automatic configuration

Author:
  Ceki Gulcu

### Field Summary

Fields
`static java.lang.String` `AUTOCONFIG_FILE`
`static java.lang.String` `CONFIG_FILE_PROPERTY`
`static java.lang.String` `GROOVY_AUTOCONFIG_FILE`
`static java.lang.String` `STATUS_LISTENER_CLASS`
`static java.lang.String` `SYSOUT`
`static java.lang.String` `TEST_AUTOCONFIG_FILE`

### Constructor Summary

Constructors
Constructor and Description
`ContextInitializer(LoggerContext loggerContext)`

### Method Summary

Methods
`void` `autoConfig()`
`void` `configureByResource(java.net.URL url)`
`java.net.URL` `findURLOfDefaultConfigurationFile(boolean updateStatus)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GROOVY_AUTOCONFIG_FILE

    public static final java.lang.String GROOVY_AUTOCONFIG_FILE

See Also:
  Constant Field Values

#### AUTOCONFIG_FILE

    public static final java.lang.String AUTOCONFIG_FILE

See Also:
  Constant Field Values

#### TEST_AUTOCONFIG_FILE

    public static final java.lang.String TEST_AUTOCONFIG_FILE

See Also:
  Constant Field Values

#### CONFIG_FILE_PROPERTY

    public static final java.lang.String CONFIG_FILE_PROPERTY

See Also:
  Constant Field Values

#### STATUS_LISTENER_CLASS

    public static final java.lang.String STATUS_LISTENER_CLASS

See Also:
  Constant Field Values

#### SYSOUT

    public static final java.lang.String SYSOUT

See Also:
  Constant Field Values

### Constructor Detail

#### ContextInitializer

    public ContextInitializer(LoggerContext loggerContext)

### Method Detail

#### configureByResource

    public void configureByResource(java.net.URL url)
                             throws JoranException

Throws:
  `JoranException`

#### findURLOfDefaultConfigurationFile

    public java.net.URL findURLOfDefaultConfigurationFile(boolean updateStatus)

#### autoConfig

    public void autoConfig()
                    throws JoranException

Throws:
  `JoranException`